Package org.apache.maven.scm.provider.clearcase.command.status

## Class ClearCaseStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.clearcase.command.status.ClearCaseStatusCommand

All Implemented Interfaces:
  `Command`, `ClearCaseCommand`

    public class ClearCaseStatusCommand
    extends AbstractStatusCommand
    implements ClearCaseCommand

Author:
  Wim Deblauwe

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`ClearCaseStatusCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(ScmFileSet scmFileSet)`
`protected StatusScmResult` `executeStatusCommand​(ScmProviderRepository scmProviderRepository, ScmFileSet scmFileSet)`

### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseStatusCommand

    public ClearCaseStatusCommand()

### Method Detail

#### executeStatusCommand

    protected StatusScmResult executeStatusCommand​(ScmProviderRepository scmProviderRepository,
                                                   ScmFileSet scmFileSet)
                                            throws ScmException

Specified by:
  `executeStatusCommand` in class `AbstractStatusCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(ScmFileSet scmFileSet)